DECLARE @ALIAS INT
DECLARE @ID_CTA_CONTABLE INT
DECLARE @ID_Plan_Cta INT

SELECT @ALIAS = ISNULL(CONVERT(INT,dbo.CF_xParam('CtaNoDefinida')),0) 
SELECT @ID_Plan_Cta = Max(ISNULL(ID_Plan_Cta,1))  FROM Pla_Ctas_Cuentas_Contables

PRINT 'Parametro: ' + CONVERT(VARCHAR,@ALIAS)

IF @ALIAS = 0
BEGIN
	SET @ALIAS = ISNULL((SELECT Alias FROM Pla_Ctas_Cuentas_Contables WHERE Nro_Cta_Contable = '0' AND ID_Plan_Cta = @ID_Plan_Cta),0)
	PRINT 'Cuenta Alias: ' + CONVERT(VARCHAR,@ALIAS)

	IF  @ALIAS = 0
	BEGIN
		SELECT @ALIAS = ISNULL(MAX(ALIAS)+1,1),@ID_CTA_CONTABLE = ISNULL(MAX(ID_CTA_CONTABLE)+1,1) FROM Pla_Ctas_Cuentas_Contables
		PRINT 'Nuevo cuenta: ' + CONVERT(VARCHAR,@ALIAS)

		INSERT INTO Pla_Ctas_Cuentas_Contables (Id_Cta_Contable,Nro_Cta_Contable,Descripcion,Alias,Id_Plan_Cta,Imputable,Tipo,Id_Cuenta_Padre)
			   VALUES (@ID_CTA_CONTABLE,'0','CUENTA NO DEFINIDA A IMPUTAR',@ALIAS,@ID_Plan_Cta,0,'-',0)
	END
END

IF NOT EXISTS(SELECT 1 FROM xParametros WHERE IdParametro = 'CtaNoDefinida')
BEGIN
	INSERT INTO xParametros (SetDatos, IdParametro, Descripcion, TipoDato, Valor_Integer, NOTA)
	VALUES (1, 'CtaNoDefinida', 'Alias Cta Contable no definida o a imputar','Integer', @ALIAS,'')
END


IF (@ALIAS != ISNULL(CONVERT(INT,dbo.CF_xParam('CtaNoDefinida')),0))
BEGIN
	PRINT 'Actualizo: ' + CONVERT(VARCHAR,@ALIAS)
	UPDATE xParametros SET Valor_Integer = @ALIAS WHERE IdParametro = 'CtaNoDefinida'
END 
GO
